

package gov.va.med.cds.monitor;


public class CdsReadMethodMetrics
    extends
        AbstractMethodMetrics
    implements
        CdsReadMethodMetricsInterface
{

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdsReadMethodMetricsInterface#getCdsReadTransactions()
     */
    public long getCdsReadTransactions( )
    {
        return getTransactions();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdsReadMethodMetricsInterface#getCdsReadElapsedTime()
     */
    public long getCdsReadElapsedTime( )
    {
        return getElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdsReadMethodMetricsInterface#getCdsReadTransactionsPerSecond()
     */
    public double getCdsReadTransactionsPerSecond( )
    {
        return getTransactionsPerSecond();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdsReadMethodMetricsInterface#getCdsReadAverageElapsedTime()
     */
    public double getCdsReadAverageElapsedTime( )
    {
        return getAverageElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdsReadMethodMetricsInterface#getCdsReadMaxElapsedTime()
     */
    public long getCdsReadMaxElapsedTime( )
    {
        return getMaxElapsedTime();
    }


    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.cds.monitor.CdsReadMethodMetricsInterface#getCdsReadMinElapsedTime()
     */
    public long getCdsReadMinElapsedTime( )
    {
        return getMinElapsedTime();
    }
}
